package enum

// UserState 用户状态
type UserState int

const (
	UserStateForNormal UserState = iota + 1
	UserStateForFreeze
)

func (kind UserState) String() string {
	switch kind {
	case UserStateForNormal:
		return "正常"
	case UserStateForFreeze:
		return "冻结"
	default:
		return "未知状态"
	}
}
